#!/bin/sh

# All Rights Reserved * Licensed Materials - Property of IBM
# 5724-I63, 5724-H88, 5655-N01, 5733-W60 COPYRIGHT International Business Machines Corp., 1997,2007
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

set_contexts() {
    echo relabeling: $JAVA_PATH 
    /usr/bin/chcon -R -t java_exec_t "${JAVA_PATH}"/bin/*
    if [ -d "${JAVA_PATH}"/javaws ]; then 
    	/usr/bin/chcon -R -t java_exec_t "${JAVA_PATH}"/javaws/* 
    fi
    find "${JAVA_PATH}" -name "*.so" -exec /usr/bin/chcon -t textrel_shlib_t '{}' \;
    find "${JAVA_PATH}" -name "*.jar" -exec /usr/bin/chcon -t shlib_t '{}' \;
}


if [ $# -ge 1 ]; then
    JAVA_PATH=$1
else
    IMAGE_PATH=`dirname "$0"`/..
    JAVA_PATH=$IMAGE_PATH/JDK/jre.pak/repository/package.java.jre/java/jre
fi

if [ -r /etc/redhat-release ]; then
    release=`cat /etc/redhat-release | awk '{print $7}'`
    version=${release%%\.*}
    
    if [ $version -ge 5 ]; then
        if [ -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled; then
			set_contexts
        fi
    fi
fi

